Subject: Re: linux-next: build failure after merge of the hyperv tree

From: Nuno Das Neves <[email-masked]>
Date: Thu, 13 Feb 2025 14:58:59 -0800

On 2/12/2025 7:28 PM, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the hyperv tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> In file included from include/asm-generic/bug.h:22,
>                  from arch/x86/include/asm/bug.h:99,
>                  from include/linux/bug.h:5,
>                  from arch/x86/include/asm/paravirt.h:19,
>                  from arch/x86/include/asm/irqflags.h:80,
>                  from include/linux/irqflags.h:18,
>                  from include/linux/spinlock.h:59,
>                  from include/linux/mmzone.h:8,
>                  from include/linux/gfp.h:7,
>                  from include/linux/slab.h:16,
>                  from include/linux/resource_ext.h:11,
>                  from include/linux/acpi.h:13,
>                  from drivers/hv/hv_common.c:16:
> drivers/hv/hv_common.c: In function 'hv_get_partition_id':
> include/linux/kern_levels.h:5:25: error: format '%lx' expects argument of type 'long unsigned int', but argument 2 has type 'int' [-Werror=format=]
>     5 | #define KERN_SOH        "\001"          /* ASCII Start Of Header */
>       |                         ^~~~~~
> include/linux/printk.h:473:25: note: in definition of macro 'printk_index_wrap'
>   473 |                 _p_func(_fmt, ##__VA_ARGS__);                           \
>       |                         ^~~~
> include/linux/printk.h:544:9: note: in expansion of macro 'printk'
>   544 |         printk(KERN_ERR pr_fmt(fmt), ##__VA_ARGS__)
>       |         ^~~~~~
> include/linux/kern_levels.h:11:25: note: in expansion of macro 'KERN_SOH'
>    11 | #define KERN_ERR        KERN_SOH "3"    /* error conditions */
>       |                         ^~~~~~~~
> include/linux/printk.h:544:16: note: in expansion of macro 'KERN_ERR'
>   544 |         printk(KERN_ERR pr_fmt(fmt), ##__VA_ARGS__)
>       |                ^~~~~~~~
> drivers/hv/hv_common.c:304:17: note: in expansion of macro 'pr_err'
>   304 |                 pr_err("Hyper-V: failed to get partition ID: %#lx\n",
>       |                 ^~~~~~
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   bc57d252ddf0 ("hyperv: Move hv_current_partition_id to arch-generic code")
> 
> I have used the hyperv tree from next-20250212.
> 

Thanks Stephen, I have sent a fixup patch to Wei.

I also added W=1 to my make command to catch this in future!

Nuno